View Issue Details

IDProjectCategoryView StatusLast Update
0001364ScribusNLSpublic2016-12-08 21:41
Reporterdiscount Assigned ToFahad  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSlinuxOS VersionSuse 9.0
Product Version1.3 
Target Version1.5.3Fixed in Version1.5.3.svn 
Summary0001364: Hebrew script direction is different in the document and in the story editor
DescriptionWhen entering hebrew script in the story editor, the display correctly enters the text right to left (even when embedded in english text).

When inserted into the document the Hebrew is then incorrectly displayed left to right.

(If an entire text flow was Hebrew this could be corrected with the "reverse text" option, but for paragraphs and embedded text there is no such option.)
Tags#please_test, fixed, HOST-Oman, layout, RTL
PatchNo

Relationships

has duplicate 0005270 closedplinnell Hebrew RTL text 
has duplicate 0005665 closedjghali Hebrew text is opposite 
has duplicate 0007689 closedjghali Hebrew Rendered in Wrong Direction 
has duplicate 0008309 closedjghali Hebrew characters embedded in English sentences do not go RTL in text boxes 
related to 0001079 closedFahad Arabic is not supported in Scribus yet. 
related to 0003680 closedFahad Devanagari (Unicode U+09xx) glyph formation (vowels and conjunct consonants) not proper 
child of 0003965 acknowledged Metabug: Support for non-latin languages 

Activities

discount

2004-12-08 20:27

reporter   ~0003056

See 1079 where the same behavior is reported for Arabic.

plinnell

2005-06-28 18:52

viewer   ~0005191

This should be fixed in 1.3 at some point with the new text layout engine.

bjesus

2007-06-13 14:12

reporter   ~0016525

This bug makes it very hard to put English and Hebrew text in the same frame.

Kunda

2016-03-23 12:54

manager   ~0039356

According to HOST-Oman team, these issues are fixed in the new CTL branch!
See https://github.com/HOST-Oman/scribus/issues/75#issue-142809558
There will be a build provided soon to test this fix OR one can build their branch manually.

cbradney

2016-12-03 22:20

administrator   ~0042620

r21564

Issue History

Date Modified Username Field Change
2004-12-07 20:24 discount New Issue
2004-12-08 20:27 discount Note Added: 0003056
2005-06-28 18:52 plinnell Note Added: 0005191
2005-06-28 18:52 plinnell Status new => acknowledged
2005-06-28 18:52 plinnell Category - => Story Editor / Text Frames
2005-06-28 18:52 plinnell Product Version 1.2.1cvs => 1.3
2005-07-12 03:54 ringerc Relationship added related to 0001079
2005-07-12 03:55 ringerc Status acknowledged => confirmed
2006-04-20 17:00 mhanski Relationship added related to 0003680
2006-07-02 22:01 mhanski Relationship added child of 0003965
2007-01-31 00:56 plinnell Relationship added has duplicate 0005270
2007-05-11 09:03 jghali Relationship added has duplicate 0005665
2007-06-13 14:12 bjesus Note Added: 0016525
2008-12-27 01:13 jghali Relationship added has duplicate 0007689
2009-07-28 16:37 jghali Relationship added has duplicate 0008309
2014-04-07 15:35 JLuc Tag Attached: layout
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-03-23 12:53 Kunda Tag Attached: #please_test
2016-03-23 12:53 Kunda Tag Attached: fixed
2016-03-23 12:53 Kunda Tag Attached: HOST-Oman
2016-03-23 12:53 Kunda Tag Attached: RTL
2016-03-23 12:54 Kunda Note Added: 0039356
2016-03-23 12:54 Kunda Patch => No
2016-03-23 12:54 Kunda Category Story Editor / Text Frames => NLS
2016-12-03 22:20 cbradney Assigned To => Fahad
2016-12-03 22:20 cbradney Status confirmed => resolved
2016-12-03 22:20 cbradney Resolution open => fixed
2016-12-03 22:20 cbradney Fixed in Version => 1.5.3.svn
2016-12-03 22:20 cbradney Note Added: 0042620
2016-12-05 20:21 cbradney Status resolved => closed
2016-12-08 21:41 cbradney Target Version => 1.5.3